Registrar ou rotacionar credenciais de conector
curl --request PUT \
--url https://sisbajud.sandbox.lerian.net/institutions/{institutionId}/connector/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authMode": "<string>",
"connectorType": "<string>",
"credential": {},
"credentialsRef": "<string>"
}
'import requests
url = "https://sisbajud.sandbox.lerian.net/institutions/{institutionId}/connector/credentials"
payload = {
"authMode": "<string>",
"connectorType": "<string>",
"credential": {},
"credentialsRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authMode: '<string>',
connectorType: '<string>',
credential: {},
credentialsRef: '<string>'
})
};
fetch('https://sisbajud.sandbox.lerian.net/institutions/{institutionId}/connector/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authMode": "<string>",
"connectorType": "<string>",
"credentialsRef": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Registrar ou rotacionar credenciais de conector
Provisiona (registra ou rotaciona) a credencial de saída por conector de uma instituição no SecretStore e persiste apenas a sua referência. A instituição é endereçada pelo id no caminho; a credencial em texto claro trafega apenas no corpo da requisição e nunca é registrada em log nem ecoada.
PUT
/
institutions
/
{institutionId}
/
connector
/
credentials
Registrar ou rotacionar credenciais de conector
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de caminho
The institution's unique identifier (UUID).
Exemplo:
"550e8400-e29b-41d4-a716-446655440000"
Corpo
application/json
Esta página foi útil?
⌘I

